#include <iostream>
using namespace std;
int main()
{
    string broj, brojj;
    cin>>broj;
    brojj=broj;
    int r=0, rr=0;
    for(int i=0; i<broj.size(); i++){
        for(int j=i+1; j<broj.size(); j++){
            for(int k=i; k<=j; k++){
                if(broj[i]==broj[j]&&broj[k]!=broj[i]){
                        broj[k]=broj[i];
                        r++;
                }
                if(brojj[i]==brojj[j]&&brojj[k]!=brojj[i]){
                        brojj[i]=brojj[k];
                        rr++;
                }
            }
        }
    }
    if(r<rr)
        cout<<r<<"\n";
    else
        cout<<rr<<"\n";
    return 0;
}